maple
maple
  • 发布:2021-08-18 21:09
  • 更新:2021-11-05 12:25
  • 阅读:1059

targetSdkVersion=30时,运行在android 11版本的手机上,video组件播放崩溃!!!

分类:uni-app

现在很多应用市场要求targetSdkVersion=30
但当运行在anroid 11手机上,video组件播放造成app崩溃,这种现象是必现的。
请官方帮忙尽快修复下!感谢了!

2021-08-18 21:09 负责人:DCloud_Android_DQQ 分享
已邀请:
DCloud_Android_DQQ

DCloud_Android_DQQ

bug已确认。 稍后会版本会修复这个问题

  • maple (作者)

    多谢大佬!

    2021-09-07 19:52

DCloud_Android_DQQ

DCloud_Android_DQQ

我这里测试。没复现这个问题。 你发一下可以复现问题的demo出来 apk也可以

  • maple (作者)

    您好,经过多次测试,终于找到原因了,是由于云打包,勾选了"abiFilters" : [ "armeabi-v7a", "arm64-v8a" ], 2种cpu类型导致video组件无法在tagetsdkversion=30 和android 11版本上播放视频崩溃,去掉64位cpu,就正常了。可是需要将app提交到谷歌,2种cpu必须选择。官方能够帮忙解决下吗? 急着上谷歌。 谢谢您了。

    2021-08-20 09:44

  • DCloud_Android_DQQ

    回复 maple: 内测版本已修复这个问题。 联系我 打包验证一下

    2021-08-26 15:40

  • maple (作者)

    回复 DCloud_Android_DQQ: 好的,已经私信你了

    2021-08-26 18:08

maple

maple (作者)

官方大佬能够帮忙解决下吗?这种video播放崩溃应该和arm64位的so包,运行在tagetSDK=30 & android=11版本有关系。
这种现象,我用uni-app官方例子云打包测试,也出现崩溃情况,只要满足下面4个条件必崩溃。

1、tagetSDKVersion=30
2、勾选ARM64位CPU;
3、运行在android 11版本手机上;
4、video的src为网络地址;

帮忙看下,万分谢谢!

maple

maple (作者)

有官方的人解答下吗?谢谢了!

maple

maple (作者)

自顶,有官方大佬知道这个问题吗?

DCloud_Android_DQQ

DCloud_Android_DQQ

bug 已修复

要回复问题请先登录注册